curl --request GET \
--url https://demo.enneo.ai/api/mind/knowledgeSource/archived \
--header 'Authorization: Bearer <token>'[
{
"id": 123,
"type": "faq",
"status": "active",
"source": "https://company.com/faq/376189",
"name": "Opening hours",
"tags": [
70,
71
],
"teams": [
1,
2
],
"readByAgents": [
{
"id": 1,
"name": "John Doe",
"readAt": "2024-11-29 14:38:12"
}
],
"title": "Opening hours",
"text": "Our service hours are from 8am to 5pm. We are closed on weekends. [...]",
"confidential": false
}
]Retrieves a list of archived knowledge sources
curl --request GET \
--url https://demo.enneo.ai/api/mind/knowledgeSource/archived \
--header 'Authorization: Bearer <token>'[
{
"id": 123,
"type": "faq",
"status": "active",
"source": "https://company.com/faq/376189",
"name": "Opening hours",
"tags": [
70,
71
],
"teams": [
1,
2
],
"readByAgents": [
{
"id": 1,
"name": "John Doe",
"readAt": "2024-11-29 14:38:12"
}
],
"title": "Opening hours",
"text": "Our service hours are from 8am to 5pm. We are closed on weekends. [...]",
"confidential": false
}
]JWT-based authentication
The number of items to skip before starting to collect the result set
The numbers of items to return
Successful operation
Internal id, e.g. 123
123
Type of knowledge source
faq, work-instruction, document, other, news Status of the knowledge source
archived "active"
URL to associated source. null for sources with internal ids (tickets and templates) or if non-existant (language model source)
"https://company.com/faq/376189"
Name of knowledge source, any requests with existing name will update the existing knowledge source
"Opening hours"
Tags that are assigned to this knowledge source
[70, 71](!) Should be used only with type 'news' (otherwise ignored). Teams that are assigned to the knowledge source object
[1, 2]Agents that have read the knowledge source
Show child attributes
[
{
"id": 1,
"name": "John Doe",
"readAt": "2024-11-29 14:38:12"
}
]Title of knowledge source
"Opening hours"
Full text that was used as source
"Our service hours are from 8am to 5pm. We are closed on weekends. [...]"
If true, then this knowledge source is only visible to agents
false